4 Replies Latest reply on Feb 24, 2004 10:37 AM by Adrian Brock

    Jboss 3.2.4rc1 libs not compatible with Jboss 3.2.3?

    Richard Bielak Newbie

      I was working with 3.2.4rc1 built from CVS and I noticed that the jbossclient-all.jar from 3.2.3 is not compatible with 3.2.4rc1. Is this by design?

      Here is the exception I see:

      javax.naming.NamingException: Invalid reference. Error: org.jboss.mq.il.uil2.UILServerIL; local class incompatible: stream classdesc serialVersionUID = 8509425038194826551, local class serialVersionUID = 853594001646066224
      at org.jboss.mq.referenceable.ObjectRefAddr.extractObjectRefFrom(ObjectRefAddr.java:82)
      at org.jboss.mq.referenceable.SpyConnectionFactoryObjectFactory.getObjectInstance(SpyConnectionFactoryObjectFactory.java:48)
      at javax.naming.spi.NamingManager.getObjectInstance(NamingManager.java:301)
      at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:620)
      at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:507)
      at javax.naming.InitialContext.lookup(InitialContext.java:347)
      at com.javtech.tradescope.jms.JMSInterface.init(JMSInterface.java:71)
      at com.javtech.tradescope.agent.master.MasterAgent.start0(MasterAgent.java:169)
      at com.javtech.tradescope.agent.master.MasterAgent.(MasterAgent.java:143)
      at com.javtech.tradescope.agent.master.MasterAgent.main(MasterAgent.java:92)
      [richieb@fuji deploy]$



      This will make moving people to new version of Jboss difficult...


      ...richie